Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.eside.flingbox.scene
Class DrawableScene

    java.lang.Object
      edu.eside.flingbox.scene.StaticScene
          edu.eside.flingbox.scene.DrawableScene

All Implemented Interfaces:
  SceneGestureDetector.OnInputListener

Direct Known Subclasses:
  Scene

    public class DrawableScene

extends StaticScene
implements SceneGestureDetector.OnInputListener

Implements drawing methods to `StaticScene`

Constructor Summary
`DrawableScene(Context c)` Default Constructor for drawing scene

Method Summary
`boolean` | `onDown(MotionEvent e)`
`void` | `onLongPress(MotionEvent e)`
`boolean` | `onScroll(MotionEvent downEv, MotionEvent ev, float distanceX, float distanceY)`
`void` | `onShowPress(MotionEvent e)`
`boolean` | `onSingleTapUp(MotionEvent e)`
`void` | `onSingletouchCancel()`
`boolean` | `onUp(MotionEvent ev)` Called when touch event ends correctly.

Methods inherited from class edu.eside.flingbox.scene.StaticScene
`add, clearScene, getSceneRenderer, onFling, onTouchEvent, onTrackballEvent, onZoom, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawableScene

    public DrawableScene(Context c)

  Default Constructor for drawing scene

  Parameters:
    `c` - Application `Context`

Method Detail

### onLongPress

    public void onLongPress(MotionEvent e)

  Overrides:
    `onLongPress` in class `StaticScene`

### onUp

    public boolean onUp(MotionEvent ev)

  Called when touch event ends correctly. Drawable scene creates the polygon for drawing pattern.

  Specified by:
    `onUp` in interface `SceneGestureDetector.OnInputListener`
  Overrides:
    `onUp` in class `StaticScene`
  Returns:

### onSingletouchCancel

    public void onSingletouchCancel()

### onDown

    public boolean onDown(MotionEvent e)

  Overrides:
    `onDown` in class `StaticScene`

### onScroll

    public boolean onScroll(MotionEvent downEv,
                            MotionEvent ev,
                            float distanceX,
                            float distanceY)

  Overrides:
    `onScroll` in class `StaticScene`

### onShowPress

    public void onShowPress(MotionEvent e)

  Overrides:
    `onShowPress` in class `StaticScene`

### onSingleTapUp

    public boolean onSingleTapUp(MotionEvent e)

  Overrides:
    `onSingleTapUp` in class `StaticScene`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD